## alsa-plugins 1.0.22

=== debian/changelog ===
alsa-plugins (1.0.22-1~bpo50+1) lenny-backports; urgency=low

  * Rebuild for lenny-backports.
  * Added myself to uploaders. 

 -- Holger Levsen <holger@debian.org>  Wed, 13 Oct 2010 14:33:44 +0200

alsa-plugins (1.0.22-1) unstable; urgency=low

  [ Elimar Riesebieter ]
  * New upstream version
  * Switched to source version 3.0.
  * Pulse plugins are built. (closes: #528025)

  [ Jordi Mallach ]
  * Remove duplicate section fields in control.
  * Add sparc64 to the list of supported architectures, trying to mimic what
    powerpc and ppc64 are doing. Aurelien, you might want to check this.
  * Bump Standards-Version to 3.8.4. No changes required.

 -- Jordi Mallach <jordi@debian.org>  Fri, 12 Feb 2010 02:37:43 +0100

alsa-plugins (1.0.21-3) unstable; urgency=medium

  * Correct lib32-libs build-dep to ia32-libs.

 -- Jordi Mallach <jordi@debian.org>  Wed, 21 Oct 2009 13:12:19 +0200

alsa-plugins (1.0.21-2) unstable; urgency=medium

  [ Elimar Riesebieter ]
  * Added libspeexdsp-dev to Build-Depends. libasound_module_pcm_speex.so is
    built now. (closes: #550719)
  * Readded ia32-libs and amd64-libs. Jack and pulse plugins in
    lib(32|64)asound2-plugins are build again. (closes: #551198)
  * Improved debian/rules clean target. Multiple builds are possible now.

 -- Jordi Mallach <jordi@debian.org>  Wed, 21 Oct 2009 00:17:47 +0200

alsa-plugins (1.0.21-1) unstable; urgency=low

  [ Elimar Riesebieter ]
  * Added avr32 to libasound2-plugins archs. Thanks Bradley Smith
    (closes: #531926)
  * Bumped Standards-Version to 3.8.3. No changes.
  * Update Build-Depends to libasound2-dev versions >= 1.0.21.
  * Build-Depends: Removed {ia32,amd64}-libs.

 -- Jordi Mallach <jordi@debian.org>  Thu, 17 Sep 2009 19:18:52 +0200

alsa-plugins (1.0.20-1) unstable; urgency=low

  * New upstream release.

  [ Elimar Riesebieter ]
  * Bumped Standard-Version to 3.8.1, no changes needed.

  [ Jordi Mallach ]
  * Improve sed usage where possible.
  * Remove *.la and *.a files, as nothing should be building against
    plugins. Thanks Marc-Andre Lureau (closes: #506432).

 -- Jordi Mallach <jordi@debian.org>  Wed, 03 Jun 2009 22:58:52 +0200

alsa-plugins (1.0.19-3) unstable; urgency=low

  * Build-Depend again on libavcodec-dev to bring back the a52 and
    lavcrate plugins, now that the ffmpeg transition is over.

 -- Jordi Mallach <jordi@debian.org>  Mon, 30 Mar 2009 20:01:16 +0200

alsa-plugins (1.0.19-2) unstable; urgency=low

  [ Jordi Mallach ]
  * Fix non-UTF-8 content in the previous changelog entry, which made
    the previous upload being rejected by the archive software.

  [ Elimar Riesebieter ]
  * Added a new version of the pulseaudio example provided by Carsten
    Lüdtke which will work better with systems with more than one card.

 -- Jordi Mallach <jordi@debian.org>  Mon, 23 Mar 2009 13:12:33 +0100

alsa-plugins (1.0.19-1) unstable; urgency=low

  * New upstream release. (closes: #519001)
  * Upload to unstable.

  [ Elimar Riesebieter ]
  * Indent the description list in control
  * Added '--with-avcodec-includedir=\$${prefix}/include/libavcodec'
    (closes: #518194)
  * Added a52 setup for pulseaudio in examples. Thanks Carsten Lüdtke.
    (closes: #518384)

  [ Jordi Mallach ]
  * Temporarily remove Build-Depends on libavcodec-dev by request of
    the Release Team in order to not interfere with the ffmpeg transition.

 -- Jordi Mallach <jordi@debian.org>  Thu, 12 Mar 2009 20:31:39 +0100

alsa-plugins (1.0.18-2) experimental; urgency=low

  [ Elimar Riesebieter ]
  * Fixed FTBS on sparc: The Build-Dependency on
    amd64-libs should probably be "amd64-libs [i386]", not
    "amd64-libs [i386 powerpc sparc s390]". Thanks Frank Lichtenheld.
    (closes: #505170)

 -- Jordi Mallach <jordi@debian.org>  Sun, 18 Jan 2009 14:43:43 +0100

alsa-plugins (1.0.18-1) experimental; urgency=low

  * New upstream release.

  [ Elimar Riesebieter ]
  * Bumped libasound2-dev version to >= 1.0.18 in Build-Depends.
  * Removed pulse_fixes.patch. Applied differently upstream.

  [ Jordi Mallach ]
  * Add lpia to the list of supported architectures.
  * Extend package descriptions to mention the most prominent plugins
    (closes: #497636).
  * Require debhelper 7.

  [ Christopher James Halse Rogers ]
  * debian/control, debian/rules: import the multi-arch magic from
    alsa-lib to build a lib32asound2-plugins package wherever
    lib32asound2 is built, and similarly for lib64asound2 (closes: #436201).

 -- Jordi Mallach <jordi@debian.org>  Thu, 06 Nov 2008 00:46:19 +0100

alsa-plugins (1.0.17-1) experimental; urgency=low

  * New upstream release.

  [ Elimar Riesebieter ]
  * Reworked pulse_fixes.patch
  * Switched to debhelper 7.
  * Bumped Standard-Version to 3.8.0; no changes needed.

 -- Elimar Riesebieter <riesebie@lxtec.de>  Sat, 30 Aug 2008 16:23:08 +0200

alsa-plugins (1.0.16-1) unstable; urgency=low

  * New upstream release

  [Jordi Mallach]
  * Switch to now official Vcs-* control fields.
  * Apply some important Pulse fixes, provided by lool, neurocyte and sjoerd.

  [ Elimar Riesebieter ]
  * Switched to debhelper 6.
  * Bumped Standard-Version to 3.7.3; no changes needed.
  * Fullified copyright not in copyright file.
  * Removed pulse patches. Applied upstream.

 -- Jordi Mallach <jordi@debian.org>  Tue, 26 Feb 2008 17:42:37 +0100

alsa-plugins (1.0.15-1) unstable; urgency=low

  * New upstream release.

  [ Elimar Riesebieter ]
  * Added Homepage header in debian/control.
  * debian/rules: s/-$(MAKE) distclean/[ ! -f Makefile ] || $(MAKE) distclean/

  [ Jordi Mallach ]
  * Add patches pulse-buffer_attr.diff and pulse-state_xrun.diff, taken from
    Fedora, to fix various issues with the Pulse plugin. Thanks Sjoerd Simons
    for the pointer.

 -- Jordi Mallach <jordi@debian.org>  Tue, 30 Oct 2007 17:10:08 +0100

alsa-plugins (1.0.14-1) unstable; urgency=low

  * New upstream release.

  [ Elimar Riesebieter ]
  * Prepared to use quilt as the patch manager.

  [ Jordi Mallach ]

