=== debian/control ===
Source: alsa-plugins
Section: libs
Priority: optional
Maintainer: Debian ALSA Maintainers <pkg-alsa-devel@lists.alioth.debian.org>
Uploaders: Jordi Mallach <jordi@debian.org>, Elimar Riesebieter <riesebie@lxtec.de>, Holger Levsen <holger@debian.org>
Build-Depends: debhelper (>= 7), autotools-dev,
               libasound2-dev (>= 1.0.21),
               lib32asound2-dev (>= 1.0.21) [amd64 ppc64 sparc64],
               lib64asound2-dev (>= 1.0.21) [sparc s390 i386 powerpc],
               ia32-libs [amd64], amd64-libs [i386],
               libavcodec-dev, libjack-dev, libpulse-dev,
               libspeexdsp-dev,
               libsamplerate0-dev | libsamplerate-dev,
               libc6-dev-powerpc [ppc64], libc6-dev-i386 [amd64],
               libc6-dev-amd64 [i386], libc6-dev-ppc64 [powerpc],
               libc6-dev-s390x [s390], libc6-dev-sparc64 [sparc],
               libc6-dev-sparc [sparc64],
               lib32gcc1 [amd64 ppc64 sparc64],
               lib64gcc1 [i386 powerpc sparc s390],
               gcc-multilib [amd64 i386 powerpc ppc64 s390 sparc sparc64]
Standards-Version: 3.8.4
Homepage: http://www.alsa-project.org/
Vcs-Svn: svn://svn.debian.org/pkg-alsa/trunk/alsa-plugins
Vcs-Browser: http://svn.debian.org/wsvn/pkg-alsa/trunk/alsa-plugins/

Package: libasound2-plugins
Architecture: alpha amd64 arm armeb armel avr32 hppa i386 ia64 lpia m32r m68k mips mipsel powerpc ppc64 s390 s390x sh3 sh3eb sh4 sh4eb sparc sparc64
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: ALSA library additional plugins
 This package contains plugins for the ALSA library that are
 not included in the main libasound2 package.
 .
 The following plugins are included, among other:
   - a52: S16 to A52 stream converter
   - jack: play or capture via JACK
   - oss: run native ALSA apps on OSS drivers
   - pulse: play or capture via Pulse Audio
   - lavcrate, samplerate and speexrate: rate converters
   - upmix and vdownmix: convert from/to 2 and 4/6 channel streams
 . 
 ALSA is the Advanced Linux Sound Architecture.

Package: lib32asound2-plugins
Architecture: amd64 ppc64 sparc64
Depends: ${shlibs:Depends}, ${bilib:depends}, ${misc:Depends}
Enhances: lib32asound2
Description: ALSA library additional plugins (32 bit)
 This package contains plugins for the 32 bit ALSA library that are
 not included in the main lib32asound2 package.
 .
 The following plugins are included, among other:
   - a52: S16 to A52 stream converter
   - jack: play or capture via JACK
   - oss: run native ALSA apps on OSS drivers
   - pulse: play or capture via Pulse Audio
   - lavcrate, samplerate and speexrate: rate converters
   - upmix and vdownmix: convert from/to 2 and 4/6 channel streams
 . 
 ALSA is the Advanced Linux Sound Architecture.

Package: lib64asound2-plugins
Architecture: sparc s390 i386 powerpc
Depends: ${shlibs:Depends}, ${bilib:depends}, ${misc:Depends}
Enhances: lib64asound2
Description: ALSA library additional plugins (64 bit)
 This package contains plugins for the 64 bit ALSA library that are
 not included in the main lib64asound2 package.
 .
 The following plugins are included, among other:
   - a52: S16 to A52 stream converter
   - jack: play or capture via JACK
   - oss: run native ALSA apps on OSS drivers
   - pulse: play or capture via Pulse Audio
   - lavcrate, samplerate and speexrate: rate converters
   - upmix and vdownmix: convert from/to 2 and 4/6 channel streams
 . 
 ALSA is the Advanced Linux Sound Architecture.
