## alsa-plugins 1.0.23

=== debian/changelog ===
alsa-plugins (1.0.23-1) unstable; urgency=low

  [ Elimar Riesebieter ]
  * New upstream release.
    "PortAudio gives error "Invalid rate plugin version 10002"" fixed.
    (closes: #547138)

  [ Jordi Mallach ]
  * Add powerpcspe to the list of supported architectures, and remove
    lpia, which is no longer being used by Ubuntu.

 -- Jordi Mallach <jordi@debian.org>  Wed, 02 Jun 2010 21:04:52 +0200
