=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: libs
 Priority: optional
 Maintainer: Debian ALSA Maintainers <pkg-alsa-devel@lists.alioth.debian.org>
-Uploaders: Jordi Mallach <jordi@debian.org>, Elimar Riesebieter <riesebie@lxtec.de>, Holger Levsen <holger@debian.org>
+Uploaders: Jordi Mallach <jordi@debian.org>, Elimar Riesebieter <riesebie@lxtec.de>
 Build-Depends: debhelper (>= 7), autotools-dev,
                libasound2-dev (>= 1.0.21),
                lib32asound2-dev (>= 1.0.21) [amd64 ppc64 sparc64],
@@ -24,7 +24,7 @@
 Vcs-Browser: http://svn.debian.org/wsvn/pkg-alsa/trunk/alsa-plugins/
 
 Package: libasound2-plugins
-Architecture: alpha amd64 arm armeb armel avr32 hppa i386 ia64 lpia m32r m68k mips mipsel powerpc ppc64 s390 s390x sh3 sh3eb sh4 sh4eb sparc sparc64
+Architecture: alpha amd64 arm armeb armel avr32 hppa i386 ia64 m32r m68k mips mipsel powerpc powerpcspe ppc64 s390 s390x sh3 sh3eb sh4 sh4eb sparc sparc64
 Section: libs
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: ALSA library additional plugins
