=== debian/watch ===
version=2
ftp://ftp.alsa-project.org/pub/plugins/alsa-plugins-(.*).tar.bz2	debian	uupdate
