## alsa-plugins 1.0.24

=== debian/changelog ===
alsa-plugins (1.0.24-3) unstable; urgency=medium

  [ Elimar Riesebieter ]
  * Add debian/patches/fix_a52_codec.patch from git.alsa-project.org. Fix a52
    codec with recent libavcodec updates (closes: #643936). Thanks Luis Listas
    for the hint.
  * Bump Build-Depends of lib32asound2-dev and lib64asound2-dev to 1.0.24.1.

  [ Jordi Mallach ]
  * Update Vcs-* fields to non-redirected URLs.
  * pulseaudio, jack and dbus have gone multiarch, changing the path for
    their pkgconfig file. Bump Build-Depends to the versions when M-A was
    introduced and add $(DEB_HOST_MULTIARCH) to the biarch pkgconfig hack,
    to fix a FTBFS.
  * Add a dummy build-indep target.

 -- Jordi Mallach <jordi@debian.org>  Sat, 15 Oct 2011 00:51:43 +0200

alsa-plugins (1.0.24-2) unstable; urgency=low

  * Remove Build-Depends on amd64-libs: it's useless (closes: 634064).

 -- Jordi Mallach <jordi@debian.org>  Fri, 22 Jul 2011 15:46:55 +0200

alsa-plugins (1.0.24-1) unstable; urgency=low

  * New upstream release.
  * Switch to architecture wildcard 'linux-any'.
  * Remove duplicate Section field.
  * Bump to debhelper compat v8. Bump Build-Dep accordingly.
  * Add multiarch support:
    - Declare DEB_HOST_MULTIARCH and use it to define $libdir.
    - Add an explicit --with-plugindir argument to base plugindir on the
      multiarch dir.
    - Mark libasound2-plugins Multi-Arch: same.
  * Remove references to the a52 plugin from biarch packages (closes: #611440).
  * Pulse module is now usable in the biarch packages
    (closes: #543448, #551198).
  * Remove obsolete README.source.
  * Don't run with DH_VERBOSE.
  * Bump Standards-Version to 3.9.2.

 -- Jordi Mallach <jordi@debian.org>  Sat, 16 Jul 2011 15:25:35 +0200

alsa-plugins (1.0.23-2) unstable; urgency=low

  [ Elimar Riesebieter ]
  * Added armhf to the supported archs. (closes: 604649)
  * Bumped Standards-Version to 3.9.1. No changes

 -- Jordi Mallach <jordi@debian.org>  Mon, 18 Apr 2011 19:58:21 +0200
