=== debian/control ===
--- 
+++ 
@@ -3,12 +3,15 @@
 Priority: optional
 Maintainer: Debian ALSA Maintainers <pkg-alsa-devel@lists.alioth.debian.org>
 Uploaders: Jordi Mallach <jordi@debian.org>, Elimar Riesebieter <riesebie@lxtec.de>
-Build-Depends: debhelper (>= 7), autotools-dev,
-               libasound2-dev (>= 1.0.21),
-               lib32asound2-dev (>= 1.0.21) [amd64 ppc64 sparc64],
-               lib64asound2-dev (>= 1.0.21) [sparc s390 i386 powerpc],
-               ia32-libs [amd64], amd64-libs [i386],
-               libavcodec-dev, libjack-dev, libpulse-dev,
+Build-Depends: debhelper (>= 8), autotools-dev,
+               libasound2-dev (>= 1.0.24.1),
+               lib32asound2-dev (>= 1.0.24.1) [amd64 ppc64 sparc64],
+               lib64asound2-dev (>= 1.0.24.1) [sparc s390 i386 powerpc],
+               ia32-libs [amd64],
+               libdbus-1-dev (>= 1.4.12-3~),
+               libjack-dev (>= 1:0.121.0+svn4538-2~),
+               libpulse-dev (>= 0.99.1-1~),
+               libavcodec-dev,
                libspeexdsp-dev,
                libsamplerate0-dev | libsamplerate-dev,
                libc6-dev-powerpc [ppc64], libc6-dev-i386 [amd64],
@@ -18,14 +21,14 @@
                lib32gcc1 [amd64 ppc64 sparc64],
                lib64gcc1 [i386 powerpc sparc s390],
                gcc-multilib [amd64 i386 powerpc ppc64 s390 sparc sparc64]
-Standards-Version: 3.8.4
+Standards-Version: 3.9.2
 Homepage: http://www.alsa-project.org/
-Vcs-Svn: svn://svn.debian.org/pkg-alsa/trunk/alsa-plugins
-Vcs-Browser: http://svn.debian.org/wsvn/pkg-alsa/trunk/alsa-plugins/
+Vcs-Svn: svn://anonscm.debian.org/pkg-alsa/trunk/alsa-plugins
+Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-alsa/trunk/alsa-plugins/
 
 Package: libasound2-plugins
-Architecture: alpha amd64 arm armeb armel avr32 hppa i386 ia64 m32r m68k mips mipsel powerpc powerpcspe ppc64 s390 s390x sh3 sh3eb sh4 sh4eb sparc sparc64
-Section: libs
+Architecture: linux-any
+Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: ALSA library additional plugins
  This package contains plugins for the ALSA library that are
@@ -50,7 +53,6 @@
  not included in the main lib32asound2 package.
  .
  The following plugins are included, among other:
-   - a52: S16 to A52 stream converter
    - jack: play or capture via JACK
    - oss: run native ALSA apps on OSS drivers
    - pulse: play or capture via Pulse Audio
@@ -68,7 +70,6 @@
  not included in the main lib64asound2 package.
  .
  The following plugins are included, among other:
-   - a52: S16 to A52 stream converter
    - jack: play or capture via JACK
    - oss: run native ALSA apps on OSS drivers
    - pulse: play or capture via Pulse Audio
