=== debian/rules ===
--- 
+++ 
@@ -1,14 +1,14 @@
 #!/usr/bin/make -f
-export DH_VERBOSE=1
+#export DH_VERBOSE=1
 
 PACKAGE:= alsa-plugins
-#include /usr/share/quilt/quilt.make
 
+export DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
 export DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
-export DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
 
 DEB_BUILD_ARCH_CPU ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH_CPU)
 DEB_HOST_ARCH  ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)
+DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
 biarch_map := i386=amd64 powerpc=ppc64 sparc=sparc64 s390=s390x \
 		amd64=i386 ppc64=powerpc
@@ -54,8 +54,10 @@
 	ln -s /usr/share/misc/config.sub config.sub
 	ln -s /usr/share/misc/config.guess config.guess
 	./configure --prefix=/usr \
+		    --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH) \
 		    --mandir=\$${prefix}/share/man \
 		    --infodir=\$${prefix}/share/info \
+		    --with-plugindir=/usr/lib/$(DEB_HOST_MULTIARCH)/alsa-lib \
 		    --with-avcodec-includedir=\$${prefix}/include/libavcodec \
 		    --host=$(DEB_HOST_GNU_TYPE) \
 		    --build=$(DEB_BUILD_GNU_TYPE) \
@@ -68,7 +70,7 @@
 	mkdir $(BIARCH_PKGCONFIGDIR)
 	# We build-depend on lib$(BI)asound2-dev, so we are guaranteed
 	# to have linkable alsa libraries...
-	cp /usr/lib/pkgconfig/alsa.pc $(BIARCH_PKGCONFIGDIR)/
+	cp /usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig/alsa.pc $(BIARCH_PKGCONFIGDIR)/
 
 	# We don't necessarily have pulse, dbus, or jack biarch libraries
 	# and even if we do, we don't have the .so symlink for them
@@ -76,15 +78,15 @@
 	# SO: we need to detect these libs when they exist, provide .so
 	# symlinks, and copy the pkg-config files.
 ifneq ($(strip $(BIARCH_LIBPULSE)),)
-	cp /usr/lib/pkgconfig/libpulse.pc $(BIARCH_PKGCONFIGDIR)/
+	cp /usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig/libpulse.pc $(BIARCH_PKGCONFIGDIR)/
 	ln -s $(word 1, $(BIARCH_LIBPULSE)) $(BIARCH_TEMPLIBDIR)/libpulse.so
 endif
 ifneq ($(strip $(BIARCH_LIBDBUS)),)
-	cp /usr/lib/pkgconfig/dbus-1.pc $(BIARCH_PKGCONFIGDIR)/
+	cp /usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig/dbus-1.pc $(BIARCH_PKGCONFIGDIR)/
 	ln -s $(word 1, $(BIARCH_LIBDBUS)) $(BIARCH_TEMPLIBDIR)/libdbus-1.so
 endif
 ifneq ($(strip $(BIARCH_LIBJACK)),)
-	cp /usr/lib/pkgconfig/jack.pc $(BIARCH_PKGCONFIGDIR)/
+	cp /usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig/jack.pc $(BIARCH_PKGCONFIGDIR)/
 	ln -s $(word 1, $(BIARCH_LIBJACK)) $(BIARCH_TEMPLIBDIR)/libjack.so
 endif
 	touch biarch-lib-dev-setup
@@ -120,17 +122,22 @@
 	$(MAKE) -C bibuild CFLAGS="$(CFLAGS)" LDFLAGS="-L$(BIARCH_TEMPLIBDIR)"
 	touch build-biarch-stamp
 
+build-indep-stamp:
+	dh_testdir
+	touch build-indep-stamp
+
 build-arch: $(build_biarch_stamp) build-arch-stamp
+build-indep: build-indep-stamp
 
-build: build-arch
+build: build-arch build-indep
 
 install-arch: build-arch-stamp
 	dh_testdir
 	dh_testroot
 	dh_prep
 	$(MAKE) install DESTDIR=$(CURDIR)/debian/libasound2-plugins
-	rm -f $(CURDIR)/debian/libasound2-plugins/usr/lib/alsa-lib/*.la \
-	    $(CURDIR)/debian/libasound2-plugins/usr/lib/alsa-lib/*.a
+	rm -f $(CURDIR)/debian/libasound2-plugins/usr/lib/$(DEB_HOST_MULTIARCH)/alsa-lib/*.la \
+	    $(CURDIR)/debian/libasound2-plugins/usr/lib/$(DEB_HOST_MULTIARCH)/alsa-lib/*.a
 ifneq (,$(build_biarch_stamp))
 	rm -rf debian/bitmp
 	$(MAKE) -C bibuild install DESTDIR=$(CURDIR)/debian/bitmp
@@ -138,12 +145,12 @@
 	cp -a debian/bitmp/usr/lib/alsa-lib/libasound_module*.so \
 	    debian/lib$(bi)asound2-plugins/$(bilibdir)/alsa-lib
 endif
-	dh_installdirs -plibasound2-plugins usr/lib/alsa-lib
+	dh_installdirs -plibasound2-plugins usr/lib/$(DEB_HOST_MULTIARCH)/alsa-lib
 	dh_install
 	#install $(INSTALL_UAG) jack/.libs/libasound_module_pcm_jack.so \
-	#	debian/libasound2-plugins/usr/lib/alsa-lib/libasound_module_pcm_jack.so.2.0.0
+	#	debian/libasound2-plugins/usr/lib/$(DEB_HOST_MULTIARCH)/alsa-lib/libasound_module_pcm_jack.so.2.0.0
 	#ln -s libasound_module_pcm_jack.so.2.0.0 \
-	#	debian/libasound2-plugins/usr/lib/alsa-lib/libasound_module_pcm_jack.so
+	#	debian/libasound2-plugins/usr/lib/$(DEB_HOST_MULTIARCH)/alsa-lib/libasound_module_pcm_jack.so
 	dh_installdocs
 	dh_installexamples
 	dh_installchangelogs debian/changelog.ALSA
