## alsa-plugins 1.0.25

=== debian/changelog ===
alsa-plugins (1.0.25-2ubuntu1) quantal; urgency=low

  * Merge from debian unstable, remaining changes:
    - Create libasound2-plugins-extra package which contains plugins that use
      libav.

 -- Luke Yelavich <themuso@ubuntu.com>  Fri, 22 Jun 2012 14:24:21 +1000

alsa-plugins (1.0.25-2) unstable; urgency=low

  * Do not overwrite LDFLAGS, use DEB_LDFLAGS_MAINT_APPEND instead.
    Thanks to Simon Ruderich for the report and fix (closes: #662256).
  * Replace hardcoded configure call with dh_auto_configure, and remove
    default flags handled by debhelper.
  * Add missing ${misc:Pre-Depends} for multiarch-support (closes: #667473).
  * Bump Standards-Version to 3.9.3, with no changes needed.
  * This rebuild should fix M-A installability problems caused by a
    single-arch binnmu (closes: #659665).
  * Drop d/source/options, use the standard compression.

 -- Jordi Mallach <jordi@debian.org>  Sun, 20 May 2012 21:44:23 +0200

alsa-plugins (1.0.25-1ubuntu3) quantal; urgency=low

  * Move all lavcrate plugins to the extra package that were missed in the
    previous upload. This will ensure that libasound2-plugins will not depend
    on anything to do with libav.
  * Add Pre-Depends bits for multi-arch. (LP: #1015982)

 -- Luke Yelavich <themuso@ubuntu.com>  Fri, 22 Jun 2012 10:39:19 +1000

alsa-plugins (1.0.25-1ubuntu2) quantal; urgency=low

  [ Mike Mestnik ]
  * Add build depend on libavcodec-dev and libavutil-dev
  * Split the a52 plugin out to it's own package. (LP: #197957)

  [ Luke Yelavich ]
  * debian/control: Adjust Vcs-Bzr field for quantal.
  * Ship the lavcrate plugin in the libasound2-plugins-extra package.

 -- Luke Yelavich <themuso@ubuntu.com>  Wed, 20 Jun 2012 16:57:22 +1000

alsa-plugins (1.0.25-1ubuntu1) precise; urgency=low

  * Merge from debian unstable, remaining changes:
    - Do not build-depend on libavcodec-dev and libavutil-dev
    - Add Vcs-Bzr field

 -- Luke Yelavich <themuso@ubuntu.com>  Thu, 16 Feb 2012 13:48:11 +1100

alsa-plugins (1.0.25-1) unstable; urgency=low

  * New upstream release.
    - fixes hangs in jackd (closes: #564828).
  * Update debian/changelog.ALSA.
  * Bump Build-Depends to libasound2-dev (>= 1.0.25), as new symbols are
    required.
  * Drop fix_a52_codec.patch, applied upstream.
  * Decruft debian/rules by using .install files and removing obsolete
    stuff.
  * Don't pass --enable-static to configure.
  * Use watch file version 3, and don't uupdate.
  * Run source package through wrap-and-sort.
  * Merge from Ubuntu:
    - arcam-av_uses_pthreads.patch: link arcam-av module against libpthread.
    - Build with LDFLAGS=-Wl,-z,defs to prevent accidentally building
      modules with undefined symbols.
    (thanks Steve Langasek).
  * Build-Depend on dh-autoreconf and adjust rules to use it.
  * Add use_avutil.patch: New patch to avoid unresolved symbols (av_free)
    when building the a52 plugin.
  * Build-Depend on libavutil-dev.
  * Remove all bi-arch traces from alsa-plugins. With Steve's changes
    above, the pulse plugin does not build anymore for the bi-build, and
    with Multiarch about to be ready to make it obsolete, I'm not keen to
    spend a minute looking at it.
  * As a bonus, this package can now be dh-ified, so it is.
  * Bump debhelper to version 9.
  * Install alsa.conf.d files.
  * Point at versioned LGPL-2.1 file and update homepage.

 -- Jordi Mallach <jordi@debian.org>  Sun, 12 Feb 2012 01:53:08 +0100

alsa-plugins (1.0.25-0ubuntu1) UNRELEASED; urgency=low

  * New upstream release
  * Dropped patches:
    - fix_a52_codec.patch
    - 0001-Pulse-Fix-snd_pcm_avail-returning-0-in-some-cases.patch
    - 0004-jack-Fix-hanging-applications-when-using-jack-plugin.patch
    - 0005-pulse-only-underrun-if-no-more-data-has-been-written.patch
  * arcam-av_uses_pthreads.patch: Refreshed

 -- Luke Yelavich <themuso@ubuntu.com>  Thu, 09 Feb 2012 20:53:46 +1100

alsa-plugins (1.0.24-3ubuntu1) precise; urgency=low

  * Merge from debian unstable, remaining changes:
    - Do not build-depend on libavcodec-dev
    - drop lib32asound2-plugins
    - tighten dependencies on lib*asound2-dev and libpulse-dev
    - Add Vcs-Bzr field
    - Do not build bi-arch packages on ppc64
    - Build with LDFLAGS=-Wl,-z,defs to prevent accidentally building modules
      with undefined symbols.
    - link arcam-av module against libpthread.
    - Use new pulseaudio API

 -- Luke Yelavich <themuso@ubuntu.com>  Tue, 18 Oct 2011 19:47:15 +1100

alsa-plugins (1.0.24-0ubuntu6) oneiric; urgency=low

  * Use the new PulseAudio API for better underrun handling (LP: #805940)

 -- David Henningsson <david.henningsson@canonical.com>  Wed, 24 Aug 2011 10:16:12 +0200

alsa-plugins (1.0.24-0ubuntu5) oneiric; urgency=low

  * Build with LDFLAGS=-Wl,-z,defs to prevent accidentally building modules
    with undefined symbols.
  * debian/patches/arcam-av_uses_pthreads.patch: link arcam-av module
    against libpthread.
  * drop upstream cherry picks 5f5cde5 and 440e791: these rely on a new
    symbol, snd_pcm_open_fallback, which is not available in the currently
    available upstream release of alsa-lib, so cherry-picking these patches
    simply made the pulseaudio module stop working altogether.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 12 Aug 2011 23:36:12 -0700

alsa-plugins (1.0.24-0ubuntu4) oneiric; urgency=low

  * Cherry-pick some fixes from git master:
    - 21f6686 (jack: Fix hanging applications when using jack plugin)
    - 440e791 (pulse: Set PA_CONTEXT_NOAUTOSPAWN when fallback is available)
    - 5f5cde5 (pulse: Add fallback option)
    - e1661e3 (Pulse: Fix snd_pcm_avail returning 0 in some cases)

 -- Luke Yelavich <themuso@ubuntu.com>  Thu, 11 Aug 2011 08:42:02 +1000

alsa-plugins (1.0.24-0ubuntu3) oneiric; urgency=low

  * Merge changes from Debian svn:
    - Switch to architecture wildcard 'linux-any'.
    - Bump to debhelper compat v8. Bump Build-Dep accordingly.
    - Add multiarch support:

