## alsa-plugins 1.0.27

=== debian/changelog ===
alsa-plugins (1.0.27-2ubuntu2) trusty; urgency=low

  * Drop libasound2-plugins-extra package (LP: #1243235)
  * Drop libavcodec-dev and libavutil-dev build-deps.

 -- Dmitrijs Ledkovs <xnox@ubuntu.com>  Wed, 30 Oct 2013 18:10:59 +0000

alsa-plugins (1.0.27-2ubuntu1) saucy; urgency=low

  * Merge from debian unstable, remaining changes:
    - Create libasound2-plugins-extra package which contains plugins that use
      libav.

 -- Luke Yelavich <themuso@ubuntu.com>  Fri, 26 Jul 2013 10:57:49 +1000

alsa-plugins (1.0.27-2) unstable; urgency=low

  * Upload to unstable.

 -- Jordi Mallach <jordi@debian.org>  Thu, 09 May 2013 12:40:49 +0200

alsa-plugins (1.0.27-1) experimental; urgency=low

  * New upstream release.
  * Drop fix-ftbfs-libav9.patch, similar patch applied upstream.
  * Refresh use_libavutil.patch.
  * Explicitly pass --disable-static.

 -- Jordi Mallach <jordi@debian.org>  Fri, 26 Apr 2013 23:24:50 +0200

alsa-plugins (1.0.26-1) experimental; urgency=low

  [ Elimar Riesebieter ]
  * Added fix-ftbfs-libav9.patch to updated the a52 plugin to use a newer API
    of libav. It should work with both libav 0.8 in wheezy and 9 in
    experimental. Thanks Reinhard Tartler for the patch. (closes: #692581)
  * Fix build with glibc 2.16. _GNU_SOURCE needs to be defined at first. Patch
    stolen from upstream. Thanks David Henningsson for the hint.
    (closes: #701448)
  * Bumped Standards-Version to 3.9.4. No changes needed.

  [ Jordi Mallach ]
  * New upstream release.
  * Drop pcm-usb-stream.patch, applied upstream.

 -- Jordi Mallach <jordi@debian.org>  Mon, 01 Apr 2013 22:21:31 -0500

alsa-plugins (1.0.25-2ubuntu3) raring-proposed; urgency=low

  * add new patch fix-ftbfs-libav9.patch:
     - Fix FTBFS with Libav9 Update to newer libav API - compatible to
       libav 0.8 and libav 9 (LP: #1076011)

 -- Reinhard Tartler <siretart@tauware.de>  Wed, 07 Nov 2012 07:18:48 +0100

alsa-plugins (1.0.25-2ubuntu2) raring-proposed; urgency=low

  * debian/control: Update Vcs-Bzr field for raring
  * debian/patches/usb_stream-Fix-build-with-glibc-2.16.patch: Fix FTBFS,
    thanks to Reinhard Tartler (LP: #1075718)

 -- Luke Yelavich <themuso@ubuntu.com>  Wed, 07 Nov 2012 10:46:10 +1100
