=== debian/control ===
--- 
+++ 
@@ -8,19 +8,17 @@
 Build-Depends: autotools-dev,
                debhelper (>= 9),
                dh-autoreconf,
-               libavcodec-dev,
-               libavutil-dev,
                libasound2-dev (>= 1.0.25),
                libdbus-1-dev (>= 1.4.12-3~),
                libjack-dev (>= 1:0.121.0+svn4538-2~),
                libpulse-dev (>= 0.99.1-1~),
                libsamplerate0-dev | libsamplerate-dev,
                libspeexdsp-dev
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://www.alsa-project.org/
 XS-Debian-Vcs-Svn: svn://anonscm.debian.org/pkg-alsa/trunk/alsa-plugins
 XS-Debian-Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-alsa/trunk/alsa-plugins/
-Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-audio-dev/alsa-plugins/ubuntu.quantal
+Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-audio-dev/alsa-plugins/ubuntu
 
 Package: libasound2-plugins
 Architecture: linux-any
@@ -39,16 +37,3 @@
    - upmix and vdownmix: convert from/to 2 and 4/6 channel streams
  .
  ALSA is the Advanced Linux Sound Architecture.
-
-Package: libasound2-plugins-extra
-Architecture: linux-any
-Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
-Depends: ${misc:Depends}, ${shlibs:Depends}
-Description: ALSA library additional plugins
- This package contains plugins for the ALSA library that are
- not included in the main libasound2 or libasound2-plugins packages.
- .
- The following plugins are included:
-   - a52: S16 to A52 stream converter
-   - lavcrate: rate converter
