=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs

%:
	dh $@ --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- \
		--with-plugindir=/usr/lib/$(DEB_HOST_MULTIARCH)/alsa-lib \
		--disable-static

override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp

# Kill *.la files, and make sure we install everything else
override_dh_install:
	find debian/tmp -name '*.la' -delete
	dh_install --fail-missing

override_dh_installchangelogs:
	dh_installchangelogs debian/changelog.ALSA
