## alsa-plugins 1.0.28

=== debian/changelog ===
alsa-plugins (1.0.28-1ubuntu1) utopic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Drop libavcodec-dev, libavresample-dev and libavutil-dev build-deps.

 -- Luke Yelavich <themuso@ubuntu.com>  Tue, 05 Aug 2014 13:55:23 +1000

alsa-plugins (1.0.28-1) unstable; urgency=medium

  [ Elimar Riesebieter ]
  * Ack 1.0.27-2.1 NMU. Thanks Reinhard Tartler. (closes: #739209)
  * Bumped Standards-Version to 3.9.5. No changes needed.

  [ Luke Yelavich ]
  * New upstream release
  * Dropped patches, applied upstream:
    - use_libavutil.patch
    - build-latest-avcodec.patch
  * Refreshed patches:
    - libav10.patch

 -- Jordi Mallach <jordi@debian.org>  Fri, 18 Jul 2014 20:43:13 +0200

alsa-plugins (1.0.27-2.1ubuntu1) utopic; urgency=medium

  * Merge from debian unstable, remaining changes:
  * Drop libavcodec-dev, libavresample-dev and libavutil-dev build-deps.


 -- Reinhard Tartler <siretart@tauware.de>  Fri, 30 May 2014 22:04:49 -0400

alsa-plugins (1.0.27-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add libav10.patch to allow compilation against Libav10 (Closes: #739209)

 -- Reinhard Tartler <siretart@tauware.de>  Mon, 12 May 2014 07:33:19 -0400
