=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
                libpulse-dev (>= 0.99.1-1~),
                libsamplerate0-dev | libsamplerate-dev,
                libspeexdsp-dev
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://www.alsa-project.org/
 XS-Debian-Vcs-Svn: svn://anonscm.debian.org/pkg-alsa/trunk/alsa-plugins
 XS-Debian-Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-alsa/trunk/alsa-plugins/
