## alsa-plugins 1.0.29

=== debian/changelog ===
alsa-plugins (1.0.29-1ubuntu1) wily; urgency=medium

  * Merge from Debian unstable, remaining changes:
    - Drop libavcodec-dev, libavresample-dev and libavutil-dev build-deps.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 12 Aug 2015 14:16:48 -0700

alsa-plugins (1.0.29-1) unstable; urgency=medium

  [ Luke Yelavich ]
  * New upstream release (closes: #793074)
  * Update changelog.ALSA

  [ Jordi Mallach ]
  * Bump Standards-Version to 3.9.6.
  * Add Luke Yelavich to Uploaders.

 -- Jordi Mallach <jordi@debian.org>  Wed, 22 Jul 2015 09:39:15 +0200

alsa-plugins (1.0.29-0ubuntu2) wily; urgency=medium

  * No-change rebuild against libjack-jackd2-0v5

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 11 Aug 2015 06:30:53 +0000

alsa-plugins (1.0.29-0ubuntu1) wily; urgency=medium

  * New upstream release
  * Update changelog.ALSA

 -- Luke Yelavich <themuso@ubuntu.com>  Mon, 01 Jun 2015 20:16:19 +1000

alsa-plugins (1.0.28-1ubuntu2) vivid; urgency=medium

  * No change rebuild to get debug symbols on all architectures.

 -- Brian Murray <brian@ubuntu.com>  Tue, 25 Nov 2014 14:31:28 -0800
