## alsa-plugins 1.1.0

=== debian/changelog ===
alsa-plugins (1.1.0-0ubuntu1) xenial; urgency=medium

  * New upstream release
  * Update changelog.ALSA

 -- Luke Yelavich <themuso@ubuntu.com>  Mon, 04 Jan 2016 13:55:42 +1100
