## alsa-plugins 1.1.1

=== debian/changelog ===
alsa-plugins (1.1.1-1ubuntu1) yakkety; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Drop libavcodec-dev, libavresample-dev and libavutil-dev build-deps.
  * Re-install 50-pulseaudio.conf, we want to route all ALSA apps via pulse
    by default

 -- Luke Yelavich <themuso@ubuntu.com>  Tue, 28 Jun 2016 08:44:13 +1000

alsa-plugins (1.1.1-1) unstable; urgency=medium

  * New upstream release
  * removed ffmpeg_2.9.patch. Applied different from upstream.
  * Don't install 50-pulseaudio.conf and 99-pulseaudio-default.conf.example.
    They are confusing users. (closes: 739329)
  * Enabled hardening=+all
  * Removed invalid paragraph about upstreams bugtracker from copyright.
  * Bump Standards-Version to 3.9.8.
  * Introduced git log as upstreams changelog.

 -- Elimar Riesebieter <riesebie@lxtec.de>  Sun, 08 May 2016 19:35:45 +0200

alsa-plugins (1.1.0-1ubuntu1) yakkety; urgency=low

  * Merge from Debian unstable, remaining changes:
    - Drop libavcodec-dev, libavresample-dev and libavutil-dev build-deps.

 -- Luke Yelavich <themuso@ubuntu.com>  Wed, 27 Apr 2016 16:48:42 +0200

alsa-plugins (1.1.0-1) unstable; urgency=medium

  [ Luke Yelavich ]
  * New upstream release
  * Update changelog.ALSA

  [ Elimar Riesebieter ]
  * FTBFS with ffmpeg 2.9. Applied ffmpeg_2.9.patch provided by
    Andreas Cadhalpun (closes: 803796).

  [ Jordi Mallach ]
  * Use https for Vcs-Browser.

 -- Jordi Mallach <jordi@debian.org>  Tue, 02 Feb 2016 00:04:04 +0100
