=== debian/control ===
--- 
+++ 
@@ -15,10 +15,10 @@
                libpulse-dev (>= 0.99.1-1~),
                libsamplerate0-dev | libsamplerate-dev,
                libspeexdsp-dev
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://www.alsa-project.org/
-XS-Debian-Vcs-Svn: svn://anonscm.debian.org/pkg-alsa/trunk/alsa-plugins
-XS-Debian-Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-alsa/trunk/alsa-plugins/
+Vcs-Svn: svn://anonscm.debian.org/pkg-alsa/trunk/alsa-plugins
+Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-alsa/trunk/alsa-plugins/
 Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-audio-dev/alsa-plugins/ubuntu
 
 Package: libasound2-plugins
