## alsa-plugins 1.1.5

=== debian/changelog ===
alsa-plugins (1.1.5-0~ab~SID+1) sid-ab-unstable; urgency=medium

  hellfield-local test.
  * [edf99c8] New upstream version 1.1.5
  * [8d783e8] patches/series: disable failing patch libav10.

 -- Stephan Sürken <absurd@olurdix.de>  Mon, 18 Dec 2017 14:33:56 +0100
